import { ColumnRange } from "./columnRange.js";
import { Range } from "./range.js";
export declare class RangeSingleLine {
    readonly lineNumber: number;
    readonly columnRange: ColumnRange;
    static fromRange(range: Range): RangeSingleLine | undefined;
    constructor(lineNumber: number, columnRange: ColumnRange);
    toRange(): Range;
}
